version: "3.0"

services:
  queues-remover:
    build: .
    image: registry.forge.grandlyon.com/web-et-numerique/web-et-numerique-internet/data.grandlyon.com/web-portal/components/indexers/metadata-and-data:${TAG}
    command: python tools/queues_remover.py --host rabbitmq --exchange download_data_grandlyon_com_index
    volumes:
      - ${PWD}/config.yaml:/app/config.yaml:ro

  locks-remover:
    build: .
    image: registry.forge.grandlyon.com/web-et-numerique/web-et-numerique-internet/data.grandlyon.com/web-portal/components/indexers/metadata-and-data:${TAG}
    command: python tools/locks_remover.py
    volumes:
      - ${PWD}/config.yaml:/app/config.yaml:ro
      - working-directory:/app/output

  delete-indices:
    build: .
    image: registry.forge.grandlyon.com/web-et-numerique/web-et-numerique-internet/data.grandlyon.com/web-portal/components/indexers/metadata-and-data:${TAG}
    command: python tools/delete-indices.py
    volumes:
      - ${PWD}/config.yaml:/app/config.yaml:ro

  field-type-detector:
    build: .
    image: registry.forge.grandlyon.com/web-et-numerique/web-et-numerique-internet/data.grandlyon.com/web-portal/components/indexers/metadata-and-data:${TAG}
    command: python tools/field_type_detector.py
    volumes:
      - ${PWD}/config.yaml:/app/config.yaml:ro
      - working-directory:/app/output

  main:
    build: .
    image: registry.forge.grandlyon.com/web-et-numerique/web-et-numerique-internet/data.grandlyon.com/web-portal/components/indexers/metadata-and-data:${TAG}
    command: python main.py --host rabbitmq --exchange download_data_grandlyon_com_index --loglevel DEBUG
    volumes:
      - ${PWD}/config.yaml:/app/config.yaml:ro
      - working-directory:/app/output

volumes:
  working-directory:
